SIMATIC S7 MatLab Toolbox

Public Member Functions | Public Attributes | List of all members
IPDeviceEndPoint Class Reference

Represents a network endpoint as an IP address, rack and slot number of a PLC device. More...

Inheritance diagram for IPDeviceEndPoint:

## Public Member Functions
function | IPDeviceEndPoint (in address, in rack, in slot)
| Initializes a new instance of the IPDeviceEndPoint class with the specified address, rack number and slot number. More...
function get | Address (in this)
| Gets the IP address of the endpoint.
function set | Address (in this, in value)
| Sets the IP address of the endpoint.
function get | IsCustomRack (in this)
| Gets a value indicating whether a custom rack has been associated with this endpoint.
function get | IsCustomSlot (in this)
| Gets a value indicating whether a custom slot has been associated with this endpoint.
function get | Rack (in this)
| Gets the rack number of the endpoint.
function set | Rack (in this, in value)
| Sets the rack number of the endpoint.
function get | Slot (in this)
| Gets the slot number of the endpoint.
function set | Slot (in this, in value)
| Sets the slot number of the endpoint.

## Public Attributes
Constant Property | DefaultRack = 0
| Specifies the default value that is by default assigned to the Rack property.
Constant Property | DefaultSlot = 2
| Specifies the default value that is by default assigned to the Slot property.
Constant Property | MaxRack = 65535
| Specifies the maximum value that can be assigned to the Rack property.
Constant Property | MaxSlot = 65535
| Specifies the maximum value that can be assigned to the Slot property.
Constant Property | MinRack = 0
| Specifies the minimum value that can be assigned to the Rack property.
Constant Property | MinSlot = 0
| Specifies the minimum value that can be assigned to the Slot property.
Property | Address
| Gets or sets the IP address of the endpoint. The IP address of the endpoint. More...
Property | Rack
| Gets or sets the rack number of the endpoint. A numeric value in the range MinRack to MaxRack indicating the rack number of the endpoint. More...
Property | Slot
| Gets or sets the slot number of the endpoint. A numeric value in the range MinSlot to MaxSlot indicating the slot number of the endpoint. More...
Property | IsCustomRack
| Gets a value indicating whether a custom rack has been associated with this endpoint. The value true, if there was a custom rack assigned to this endpoint; otherwise the value false. More...
Property | IsCustomSlot
| Gets a value indicating whether a custom slot has been associated with this endpoint. The value true, if there was a custom slot assigned to this endpoint; otherwise the value false. More...

## Detailed Description

Represents a network endpoint as an IP address, rack and slot number of a PLC device.

## Constructor & Destructor Documentation

## ◆ IPDeviceEndPoint()

function IPDeviceEndPoint::IPDeviceEndPoint | ( | in | address,
|  | in | rack,
|  | in | slot
| ) |  |

Initializes a new instance of the IPDeviceEndPoint class with the specified address, rack number and slot number.

Parameters

  address | The IP address of the endpoint.
  rack | The rack number associated with the address.
  slot | The slot number associated with the address.

Errors

- The address is not a valid IP address.
- The rack is out of the bounds defined by MinRack or MaxRack.
- The slot is out of the bounds defined by MinSlot or MaxSlot.

## Member Data Documentation

## ◆ Address

Property IPDeviceEndPoint::Address

Gets or sets the IP address of the endpoint. The IP address of the endpoint.

Errors

- The address is not a valid IP address.

## ◆ IsCustomRack

Property IPDeviceEndPoint::IsCustomRack

Gets a value indicating whether a custom rack has been associated with this endpoint. The value true, if there was a custom rack assigned to this endpoint; otherwise the value false.

Remarks

In case there is no custom rack number defined the PLC driver does decide on its own which rack is to be used by default to address the PLC device.

## ◆ IsCustomSlot

Property IPDeviceEndPoint::IsCustomSlot

Gets a value indicating whether a custom slot has been associated with this endpoint. The value true, if there was a custom slot assigned to this endpoint; otherwise the value false.

Remarks

In case there is no custom slot number defined the PLC driver does decide on its own which slot is to be used by default to address the PLC device.

## ◆ Rack

Property IPDeviceEndPoint::Rack

Gets or sets the rack number of the endpoint. A numeric value in the range MinRack to MaxRack indicating the rack number of the endpoint.

Errors

- The rack is out of the bounds defined by MinRack or MaxRack.

## ◆ Slot

Property IPDeviceEndPoint::Slot

Gets or sets the slot number of the endpoint. A numeric value in the range MinSlot to MaxSlot indicating the slot number of the endpoint.

Errors

- The slot is out of the bounds defined by MinSlot or MaxSlot.

The documentation for this class was generated from the following file:

- IPDeviceEndPoint.m